<!DOCTYPE html>
<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>Stock App</title>
    <style>
      body {
        font-family: Arial, Helvetica, sans-serif;
      }
      form {
        border: 3px solid #f1f1f1;
      }

      input[type='text'],
      input[type='password'] {
        width: 100%;
        padding: 12px 20px;
        margin: 8px 0;
        display: inline-block;
        border: 1px solid #ccc;
        box-sizing: border-box;
      }

      button {
        background-color: #04aa6d;
        color: white;
        padding: 14px 20px;
        margin: 8px 0;
        border: none;
        cursor: pointer;
        width: 100%;
      }

      button:hover {
        opacity: 0.8;
      }

      .cancelbtn {
        width: auto;
        padding: 10px 18px;
        background-color: #f44336;
      }

      .imgcontainer {
        text-align: center;
        margin: 24px 0 12px 0;
      }

      img.avatar {
        width: 40%;
        border-radius: 50%;
      }

      .container {
        padding: 16px;
      }

      span.psw {
        float: right;
        padding-top: 16px;
      }

      /* Change styles for span and cancel button on extra small screens */
      @media screen and (max-width: 300px) {
        span.psw {
          display: block;
          float: none;
        }
        .cancelbtn {
          width: 100%;
        }
      }
    </style>
  </head>
  <body>
    <center><h2>Stock App</h2></center>

    <form method="post" style="width: 50%; margin: auto" autocomplete="off">
      <div class="container">
        <label for="email"><b>Email</b></label>
        <input type="text" placeholder="Enter Email" name="email" />

        <label for="pass"><b>Password</b></label>
        <input
          type="password"
          placeholder="Enter Password"
          name="pass"
          required
        />

        <button type="button" onclick="login(this)">Login</button>
      </div>
    </form>
    <script>
      function login(e) {
        if (
          document.querySelector('[name=email]').value &&
          document.querySelector('[name=pass]').value
        ) {
          let xhttp;
          xhttp = new XMLHttpRequest();
          xhttp.responseType = 'json';

          xhttp.onreadystatechange = function () {
            if (this.readyState == 4 && this.status == 200) {
              window.location.href = '/dashboard';
            } else if (this.readyState == 4 && this.status == 403) {
              alert(this.response.message);
            }
          };
          xhttp.open('POST', '/api/auth/login', true);
          xhttp.setRequestHeader(
            'Content-Type',
            'application/json;charset=UTF-8'
          );
          xhttp.send(
            JSON.stringify({
              email: document.querySelector('[name=email]').value,
              password: document.querySelector('[name=pass]').value,
            })
          );
        }
      }
      function parseJwt(token) {
        var base64Url = token.split('.')[1];
        var base64 = base64Url.replace(/-/g, '+').replace(/_/g, '/');
        var jsonPayload = decodeURIComponent(
          atob(base64)
            .split('')
            .map(function (c) {
              return '%' + ('00' + c.charCodeAt(0).toString(16)).slice(-2);
            })
            .join('')
        );

        return JSON.parse(jsonPayload);
      }
    </script>
  </body>
</html>
